%global srcname uri-templates
%global sum A Python implementation of URI Templates

%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-%{srcname}
Version:        0.6
Release:        5%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://github.com/%{srcname}/uritemplate-py
Source0:        https://github.com/%{srcname}/uritemplate-py/archive/uri-template-py-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest

%if %{with python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%endif

%description
This is a Python implementation of RFC6570, URI Template, and can 
expand templates up to and including Level 4 in that specification.


%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

Requires:       python-simplejson

%description -n python2-%{srcname}
This is a Python implementation of RFC6570, URI Template, and can 
expand templates up to and including Level 4 in that specification.

%if %{with python3}
%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3-simplejson

%description -n python3-%{srcname}
This is a Python 3 implementation of RFC6570, URI Template, and can 
expand templates up to and including Level 4 in that specification.
%endif

%prep
%setup -q -n uritemplate-py-uri-template-py-%{version}

# Remove shebang
sed -i "1 d" uritemplate/__init__.py

%build
%py2_build

%if %{with python3}
%py3_build
%endif

%check
%{__python2} -m pytest test/variables_test.py
%if %{with python3}
%{__python3} -m pytest test/variables_test.py
%endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif
 
%files -n python2-%{srcname}
%doc README.rst
%{python2_sitelib}/uritemplate-%{version}-py?.?.egg-info
%{python2_sitelib}/uritemplate/

%if %{with python3}
%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/uritemplate/
%{python3_sitelib}/uritemplate-%{version}-py?.?.egg-info
%endif


%changelog
* Wed Jan 20 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.6-5
- Fix build w/ CentOS build system

* Sat Nov 28 2015 Michele Baldessari <michele@acksyn.org> - 0.6-4
- Tweaks to conform to new python packaging policies

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Oct 15 2015 Michele Baldessari <michele@acksyn.org> - 0.6-2
- Fix python3 description

* Tue Jun 23 2015 Michele Baldessari <michele@acksyn.org> - 0.6-1
- New upstream
- Add python3 subpackage
- Add check step

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jul 27 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.5.2-1
- Initial rpmbuild

